DWARF_EXPR_CURRENT_OFFSET(3) | Library Functions Manual | DWARF_EXPR_CURRENT_OFFSET(3)

# NAME

`dwarf_expr_current_offset` —
retrieve the number of bytes in a location expression stream

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

Dwarf_Unsigned
`dwarf_expr_current_offset`(Dwarf_P_Expr expr, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_expr_current_offset`() returns the size in bytes of the stream representation of a location expression.

Argument expr should reference a location expression descriptor allocated using dwarf_new_expr(3).

If argument err is not NULL, it will be used to store error information in case of an error.

# RETURN VALUES

On success, function `dwarf_expr_current_offset`() returns the size in bytes of the location descriptor's stream representation. In case of an error, function `dwarf_expr_current_offset`() returns `DW_DLV_NOCOUNT` and sets the argument err.

# ERRORS

Function `dwarf_expr_current_offset`() can fail with:

[`DW_DLE_ARGUMENT`]
  Argument expr was NULL.

# SEE ALSO

dwarf(3), dwarf_add_expr_addr(3), dwarf_add_expr_addr_b(3), dwarf_add_expr_gen(3), dwarf_expr_into_block(3), dwarf_new_expr(3)

September 13, 2011 | NetBSD 9.2